/*******************************************************************
* Creation Date: 03/15/2022   
*   NC_SASD_2020_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      OUTPATIENT CHGS FILE INTO SPSS                             
*******************************************************************/


***************************************************************;
* ----------------------------------------------------------- *;
* |  NOTICE: Use of HCUP data constitutes acceptance of the | *;
* |  terms and conditions of the HCUP Data Use Agreement.   | *;
* ----------------------------------------------------------- *;
***************************************************************;


********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************.

DATA LIST FILE = 'NC_SASD_2020_CHGS.ASC' FIXED SKIP=2 / 
 KEY                             1-  15
 NREVCD                         16-  18
 REVCD1                         19-  22 (A)
 REVCD2                         23-  26 (A)
 REVCD3                         27-  30 (A)
 REVCD4                         31-  34 (A)
 REVCD5                         35-  38 (A)
 REVCD6                         39-  42 (A)
 REVCD7                         43-  46 (A)
 REVCD8                         47-  50 (A)
 REVCD9                         51-  54 (A)
 REVCD10                        55-  58 (A)
 REVCD11                        59-  62 (A)
 REVCD12                        63-  66 (A)
 REVCD13                        67-  70 (A)
 REVCD14                        71-  74 (A)
 REVCD15                        75-  78 (A)
 REVCD16                        79-  82 (A)
 REVCD17                        83-  86 (A)
 REVCD18                        87-  90 (A)
 REVCD19                        91-  94 (A)
 REVCD20                        95-  98 (A)
 REVCD21                        99- 102 (A)
 REVCD22                       103- 106 (A)
 REVCD23                       107- 110 (A)
 REVCD24                       111- 114 (A)
 REVCD25                       115- 118 (A)
 REVCD26                       119- 122 (A)
 REVCD27                       123- 126 (A)
 REVCD28                       127- 130 (A)
 REVCD29                       131- 134 (A)
 REVCD30                       135- 138 (A)
 REVCD31                       139- 142 (A)
 REVCD32                       143- 146 (A)
 REVCD33                       147- 150 (A)
 REVCD34                       151- 154 (A)
 REVCD35                       155- 158 (A)
 REVCD36                       159- 162 (A)
 REVCD37                       163- 166 (A)
 REVCD38                       167- 170 (A)
 REVCD39                       171- 174 (A)
 REVCD40                       175- 178 (A)
 REVCD41                       179- 182 (A)
 REVCD42                       183- 186 (A)
 REVCD43                       187- 190 (A)
 REVCD44                       191- 194 (A)
 REVCD45                       195- 198 (A)
 REVCD46                       199- 202 (A)
 REVCD47                       203- 206 (A)
 REVCHG1                       207- 218
 REVCHG2                       219- 230
 REVCHG3                       231- 242
 REVCHG4                       243- 254
 REVCHG5                       255- 266
 REVCHG6                       267- 278
 REVCHG7                       279- 290
 REVCHG8                       291- 302
 REVCHG9                       303- 314
 REVCHG10                      315- 326
 REVCHG11                      327- 338
 REVCHG12                      339- 350
 REVCHG13                      351- 362
 REVCHG14                      363- 374
 REVCHG15                      375- 386
 REVCHG16                      387- 398
 REVCHG17                      399- 410
 REVCHG18                      411- 422
 REVCHG19                      423- 434
 REVCHG20                      435- 446
 REVCHG21                      447- 458
 REVCHG22                      459- 470
 REVCHG23                      471- 482
 REVCHG24                      483- 494
 REVCHG25                      495- 506
 REVCHG26                      507- 518
 REVCHG27                      519- 530
 REVCHG28                      531- 542
 REVCHG29                      543- 554
 REVCHG30                      555- 566
 REVCHG31                      567- 578
 REVCHG32                      579- 590
 REVCHG33                      591- 602
 REVCHG34                      603- 614
 REVCHG35                      615- 626
 REVCHG36                      627- 638
 REVCHG37                      639- 650
 REVCHG38                      651- 662
 REVCHG39                      663- 674
 REVCHG40                      675- 686
 REVCHG41                      687- 698
 REVCHG42                      699- 710
 REVCHG43                      711- 722
 REVCHG44                      723- 734
 REVCHG45                      735- 746
 REVCHG46                      747- 758
 REVCHG47                      759- 770
 UNIT1                         771- 778
 UNIT2                         779- 786
 UNIT3                         787- 794
 UNIT4                         795- 802
 UNIT5                         803- 810
 UNIT6                         811- 818
 UNIT7                         819- 826
 UNIT8                         827- 834
 UNIT9                         835- 842
 UNIT10                        843- 850
 UNIT11                        851- 858
 UNIT12                        859- 866
 UNIT13                        867- 874
 UNIT14                        875- 882
 UNIT15                        883- 890
 UNIT16                        891- 898
 UNIT17                        899- 906
 UNIT18                        907- 914
 UNIT19                        915- 922
 UNIT20                        923- 930
 UNIT21                        931- 938
 UNIT22                        939- 946
 UNIT23                        947- 954
 UNIT24                        955- 962
 UNIT25                        963- 970
 UNIT26                        971- 978
 UNIT27                        979- 986
 UNIT28                        987- 994
 UNIT29                        995-1002
 UNIT30                       1003-1010
 UNIT31                       1011-1018
 UNIT32                       1019-1026
 UNIT33                       1027-1034
 UNIT34                       1035-1042
 UNIT35                       1043-1050
 UNIT36                       1051-1058
 UNIT37                       1059-1066
 UNIT38                       1067-1074
 UNIT39                       1075-1082
 UNIT40                       1083-1090
 UNIT41                       1091-1098
 UNIT42                       1099-1106
 UNIT43                       1107-1114
 UNIT44                       1115-1122
 UNIT45                       1123-1130
 UNIT46                       1131-1138
 UNIT47                       1139-1146.


***  Specify write formats  ***.
FORMATS
 KEY                          (F8.0) /
 NREVCD                       (F3.0) /
 REVCHG1                      (F6.2) /
 REVCHG2                      (F6.2) /
 REVCHG3                      (F6.2) /
 REVCHG4                      (F6.2) /
 REVCHG5                      (F6.2) /
 REVCHG6                      (F6.2) /
 REVCHG7                      (F6.2) /
 REVCHG8                      (F6.2) /
 REVCHG9                      (F6.2) /
 REVCHG10                     (F6.2) /
 REVCHG11                     (F6.2) /
 REVCHG12                     (F6.2) /
 REVCHG13                     (F6.2) /
 REVCHG14                     (F6.2) /
 REVCHG15                     (F6.2) /
 REVCHG16                     (F6.2) /
 REVCHG17                     (F6.2) /
 REVCHG18                     (F6.2) /
 REVCHG19                     (F6.2) /
 REVCHG20                     (F6.2) /
 REVCHG21                     (F6.2) /
 REVCHG22                     (F6.2) /
 REVCHG23                     (F6.2) /
 REVCHG24                     (F6.2) /
 REVCHG25                     (F6.2) /
 REVCHG26                     (F6.2) /
 REVCHG27                     (F6.2) /
 REVCHG28                     (F6.2) /
 REVCHG29                     (F6.2) /
 REVCHG30                     (F6.2) /
 REVCHG31                     (F6.2) /
 REVCHG32                     (F6.2) /
 REVCHG33                     (F6.2) /
 REVCHG34                     (F6.2) /
 REVCHG35                     (F6.2) /
 REVCHG36                     (F6.2) /
 REVCHG37                     (F6.2) /
 REVCHG38                     (F6.2) /
 REVCHG39                     (F6.2) /
 REVCHG40                     (F6.2) /
 REVCHG41                     (F6.2) /
 REVCHG42                     (F6.2) /
 REVCHG43                     (F6.2) /
 REVCHG44                     (F6.2) /
 REVCHG45                     (F6.2) /
 REVCHG46                     (F6.2) /
 REVCHG47                     (F6.2) /
 UNIT1                        (F4.2) /
 UNIT2                        (F4.2) /
 UNIT3                        (F4.2) /
 UNIT4                        (F4.2) /
 UNIT5                        (F4.2) /
 UNIT6                        (F4.2) /
 UNIT7                        (F4.2) /
 UNIT8                        (F4.2) /
 UNIT9                        (F4.2) /
 UNIT10                       (F4.2) /
 UNIT11                       (F4.2) /
 UNIT12                       (F4.2) /
 UNIT13                       (F4.2) /
 UNIT14                       (F4.2) /
 UNIT15                       (F4.2) /
 UNIT16                       (F4.2) /
 UNIT17                       (F4.2) /
 UNIT18                       (F4.2) /
 UNIT19                       (F4.2) /
 UNIT20                       (F4.2) /
 UNIT21                       (F4.2) /
 UNIT22                       (F4.2) /
 UNIT23                       (F4.2) /
 UNIT24                       (F4.2) /
 UNIT25                       (F4.2) /
 UNIT26                       (F4.2) /
 UNIT27                       (F4.2) /
 UNIT28                       (F4.2) /
 UNIT29                       (F4.2) /
 UNIT30                       (F4.2) /
 UNIT31                       (F4.2) /
 UNIT32                       (F4.2) /
 UNIT33                       (F4.2) /
 UNIT34                       (F4.2) /
 UNIT35                       (F4.2) /
 UNIT36                       (F4.2) /
 UNIT37                       (F4.2) /
 UNIT38                       (F4.2) /
 UNIT39                       (F4.2) /
 UNIT40                       (F4.2) /
 UNIT41                       (F4.2) /
 UNIT42                       (F4.2) /
 UNIT43                       (F4.2) /
 UNIT44                       (F4.2) /
 UNIT45                       (F4.2) /
 UNIT46                       (F4.2) /
 UNIT47                       (F4.2) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY                          "HCUP record identifier"
 NREVCD                       "Number of revenue codes for this discharge"
 REVCD1                       "Revenue code 1 (as received from source)"
 REVCD2                       "Revenue code 2 (as received from source)"
 REVCD3                       "Revenue code 3 (as received from source)"
 REVCD4                       "Revenue code 4 (as received from source)"
 REVCD5                       "Revenue code 5 (as received from source)"
 REVCD6                       "Revenue code 6 (as received from source)"
 REVCD7                       "Revenue code 7 (as received from source)"
 REVCD8                       "Revenue code 8 (as received from source)"
 REVCD9                       "Revenue code 9 (as received from source)"
 REVCD10                      "Revenue code 10 (as received from source)"
 REVCD11                      "Revenue code 11 (as received from source)"
 REVCD12                      "Revenue code 12 (as received from source)"
 REVCD13                      "Revenue code 13 (as received from source)"
 REVCD14                      "Revenue code 14 (as received from source)"
 REVCD15                      "Revenue code 15 (as received from source)"
 REVCD16                      "Revenue code 16 (as received from source)"
 REVCD17                      "Revenue code 17 (as received from source)"
 REVCD18                      "Revenue code 18 (as received from source)"
 REVCD19                      "Revenue code 19 (as received from source)"
 REVCD20                      "Revenue code 20 (as received from source)"
 REVCD21                      "Revenue code 21 (as received from source)"
 REVCD22                      "Revenue code 22 (as received from source)"
 REVCD23                      "Revenue code 23 (as received from source)"
 REVCD24                      "Revenue code 24 (as received from source)"
 REVCD25                      "Revenue code 25 (as received from source)"
 REVCD26                      "Revenue code 26 (as received from source)"
 REVCD27                      "Revenue code 27 (as received from source)"
 REVCD28                      "Revenue code 28 (as received from source)"
 REVCD29                      "Revenue code 29 (as received from source)"
 REVCD30                      "Revenue code 30 (as received from source)"
 REVCD31                      "Revenue code 31 (as received from source)"
 REVCD32                      "Revenue code 32 (as received from source)"
 REVCD33                      "Revenue code 33 (as received from source)"
 REVCD34                      "Revenue code 34 (as received from source)"
 REVCD35                      "Revenue code 35 (as received from source)"
 REVCD36                      "Revenue code 36 (as received from source)"
 REVCD37                      "Revenue code 37 (as received from source)"
 REVCD38                      "Revenue code 38 (as received from source)"
 REVCD39                      "Revenue code 39 (as received from source)"
 REVCD40                      "Revenue code 40 (as received from source)"
 REVCD41                      "Revenue code 41 (as received from source)"
 REVCD42                      "Revenue code 42 (as received from source)"
 REVCD43                      "Revenue code 43 (as received from source)"
 REVCD44                      "Revenue code 44 (as received from source)"
 REVCD45                      "Revenue code 45 (as received from source)"
 REVCD46                      "Revenue code 46 (as received from source)"
 REVCD47                      "Revenue code 47 (as received from source)"
 REVCHG1                      "Detailed charges for revenue code 1 (as received from source)"
 REVCHG2                      "Detailed charges for revenue code 2 (as received from source)"
 REVCHG3                      "Detailed charges for revenue code 3 (as received from source)"
 REVCHG4                      "Detailed charges for revenue code 4 (as received from source)"
 REVCHG5                      "Detailed charges for revenue code 5 (as received from source)"
 REVCHG6                      "Detailed charges for revenue code 6 (as received from source)"
 REVCHG7                      "Detailed charges for revenue code 7 (as received from source)"
 REVCHG8                      "Detailed charges for revenue code 8 (as received from source)"
 REVCHG9                      "Detailed charges for revenue code 9 (as received from source)"
 REVCHG10                     "Detailed charges for revenue code 10 (as received from source)"
 REVCHG11                     "Detailed charges for revenue code 11 (as received from source)"
 REVCHG12                     "Detailed charges for revenue code 12 (as received from source)"
 REVCHG13                     "Detailed charges for revenue code 13 (as received from source)"
 REVCHG14                     "Detailed charges for revenue code 14 (as received from source)"
 REVCHG15                     "Detailed charges for revenue code 15 (as received from source)"
 REVCHG16                     "Detailed charges for revenue code 16 (as received from source)"
 REVCHG17                     "Detailed charges for revenue code 17 (as received from source)"
 REVCHG18                     "Detailed charges for revenue code 18 (as received from source)"
 REVCHG19                     "Detailed charges for revenue code 19 (as received from source)"
 REVCHG20                     "Detailed charges for revenue code 20 (as received from source)"
 REVCHG21                     "Detailed charges for revenue code 21 (as received from source)"
 REVCHG22                     "Detailed charges for revenue code 22 (as received from source)"
 REVCHG23                     "Detailed charges for revenue code 23 (as received from source)"
 REVCHG24                     "Detailed charges for revenue code 24 (as received from source)"
 REVCHG25                     "Detailed charges for revenue code 25 (as received from source)"
 REVCHG26                     "Detailed charges for revenue code 26 (as received from source)"
 REVCHG27                     "Detailed charges for revenue code 27 (as received from source)"
 REVCHG28                     "Detailed charges for revenue code 28 (as received from source)"
 REVCHG29                     "Detailed charges for revenue code 29 (as received from source)"
 REVCHG30                     "Detailed charges for revenue code 30 (as received from source)"
 REVCHG31                     "Detailed charges for revenue code 31 (as received from source)"
 REVCHG32                     "Detailed charges for revenue code 32 (as received from source)"
 REVCHG33                     "Detailed charges for revenue code 33 (as received from source)"
 REVCHG34                     "Detailed charges for revenue code 34 (as received from source)"
 REVCHG35                     "Detailed charges for revenue code 35 (as received from source)"
 REVCHG36                     "Detailed charges for revenue code 36 (as received from source)"
 REVCHG37                     "Detailed charges for revenue code 37 (as received from source)"
 REVCHG38                     "Detailed charges for revenue code 38 (as received from source)"
 REVCHG39                     "Detailed charges for revenue code 39 (as received from source)"
 REVCHG40                     "Detailed charges for revenue code 40 (as received from source)"
 REVCHG41                     "Detailed charges for revenue code 41 (as received from source)"
 REVCHG42                     "Detailed charges for revenue code 42 (as received from source)"
 REVCHG43                     "Detailed charges for revenue code 43 (as received from source)"
 REVCHG44                     "Detailed charges for revenue code 44 (as received from source)"
 REVCHG45                     "Detailed charges for revenue code 45 (as received from source)"
 REVCHG46                     "Detailed charges for revenue code 46 (as received from source)"
 REVCHG47                     "Detailed charges for revenue code 47 (as received from source)"
 UNIT1                        "Units of service 1 (as received from source)"
 UNIT2                        "Units of service 2 (as received from source)"
 UNIT3                        "Units of service 3 (as received from source)"
 UNIT4                        "Units of service 4 (as received from source)"
 UNIT5                        "Units of service 5 (as received from source)"
 UNIT6                        "Units of service 6 (as received from source)"
 UNIT7                        "Units of service 7 (as received from source)"
 UNIT8                        "Units of service 8 (as received from source)"
 UNIT9                        "Units of service 9 (as received from source)"
 UNIT10                       "Units of service 10 (as received from source)"
 UNIT11                       "Units of service 11 (as received from source)"
 UNIT12                       "Units of service 12 (as received from source)"
 UNIT13                       "Units of service 13 (as received from source)"
 UNIT14                       "Units of service 14 (as received from source)"
 UNIT15                       "Units of service 15 (as received from source)"
 UNIT16                       "Units of service 16 (as received from source)"
 UNIT17                       "Units of service 17 (as received from source)"
 UNIT18                       "Units of service 18 (as received from source)"
 UNIT19                       "Units of service 19 (as received from source)"
 UNIT20                       "Units of service 20 (as received from source)"
 UNIT21                       "Units of service 21 (as received from source)"
 UNIT22                       "Units of service 22 (as received from source)"
 UNIT23                       "Units of service 23 (as received from source)"
 UNIT24                       "Units of service 24 (as received from source)"
 UNIT25                       "Units of service 25 (as received from source)"
 UNIT26                       "Units of service 26 (as received from source)"
 UNIT27                       "Units of service 27 (as received from source)"
 UNIT28                       "Units of service 28 (as received from source)"
 UNIT29                       "Units of service 29 (as received from source)"
 UNIT30                       "Units of service 30 (as received from source)"
 UNIT31                       "Units of service 31 (as received from source)"
 UNIT32                       "Units of service 32 (as received from source)"
 UNIT33                       "Units of service 33 (as received from source)"
 UNIT34                       "Units of service 34 (as received from source)"
 UNIT35                       "Units of service 35 (as received from source)"
 UNIT36                       "Units of service 36 (as received from source)"
 UNIT37                       "Units of service 37 (as received from source)"
 UNIT38                       "Units of service 38 (as received from source)"
 UNIT39                       "Units of service 39 (as received from source)"
 UNIT40                       "Units of service 40 (as received from source)"
 UNIT41                       "Units of service 41 (as received from source)"
 UNIT42                       "Units of service 42 (as received from source)"
 UNIT43                       "Units of service 43 (as received from source)"
 UNIT44                       "Units of service 44 (as received from source)"
 UNIT45                       "Units of service 45 (as received from source)"
 UNIT46                       "Units of service 46 (as received from source)"
 UNIT47                       "Units of service 47 (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE NREVCD
 (-99,-88,-66,-55=SYSMIS).
RECODE REVCHG1
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG2
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG3
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG4
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG5
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG6
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG7
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG8
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG9
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG10
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG11
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG12
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG13
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG14
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG15
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG16
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG17
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG18
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG19
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG20
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG21
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG22
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG23
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG24
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG25
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG26
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG27
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG28
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG29
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG30
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG31
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG32
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG33
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG34
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG35
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG36
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG37
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG38
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG39
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG40
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG41
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG42
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG43
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG44
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG45
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG46
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG47
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE UNIT1
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT2
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT3
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT4
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT5
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT6
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT7
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT8
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT9
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT10
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT11
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT12
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT13
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT14
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT15
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT16
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT17
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT18
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT19
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT20
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT21
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT22
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT23
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT24
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT25
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT26
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT27
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT28
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT29
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT30
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT31
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT32
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT33
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT34
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT35
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT36
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT37
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT38
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT39
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT40
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT41
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT42
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT43
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT44
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT45
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT46
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT47
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).



SAVE OUTFILE = 'NC_SASD_2020_CHGS.SAV' /COMPRESSED.
