/*******************************************************************
* Creation Date: 04/29/2022   
*   NV_SASD_2020_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      OUTPATIENT CHGS FILE INTO SPSS                             
*******************************************************************/


***************************************************************;
* ----------------------------------------------------------- *;
* |  NOTICE: Use of HCUP data constitutes acceptance of the | *;
* |  terms and conditions of the HCUP Data Use Agreement.   | *;
* ----------------------------------------------------------- *;
***************************************************************;


********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************.

DATA LIST FILE = 'NV_SASD_2020_CHGS.ASC' FIXED SKIP=2 / 
 KEY                             1-  15
 NREVCD                         16-  18
 REVCD1                         19-  22 (A)
 REVCD2                         23-  26 (A)
 REVCD3                         27-  30 (A)
 REVCD4                         31-  34 (A)
 REVCD5                         35-  38 (A)
 REVCD6                         39-  42 (A)
 REVCD7                         43-  46 (A)
 REVCD8                         47-  50 (A)
 REVCD9                         51-  54 (A)
 REVCD10                        55-  58 (A)
 REVCD11                        59-  62 (A)
 REVCD12                        63-  66 (A)
 REVCD13                        67-  70 (A)
 REVCD14                        71-  74 (A)
 REVCD15                        75-  78 (A)
 REVCD16                        79-  82 (A)
 REVCD17                        83-  86 (A)
 REVCD18                        87-  90 (A)
 REVCD19                        91-  94 (A)
 REVCD20                        95-  98 (A)
 REVCD21                        99- 102 (A)
 REVCD22                       103- 106 (A)
 REVCD23                       107- 110 (A)
 REVCD24                       111- 114 (A)
 REVCD25                       115- 118 (A)
 REVCD26                       119- 122 (A)
 REVCD27                       123- 126 (A)
 REVCD28                       127- 130 (A)
 REVCD29                       131- 134 (A)
 REVCD30                       135- 138 (A)
 REVCHG1                       139- 150
 REVCHG2                       151- 162
 REVCHG3                       163- 174
 REVCHG4                       175- 186
 REVCHG5                       187- 198
 REVCHG6                       199- 210
 REVCHG7                       211- 222
 REVCHG8                       223- 234
 REVCHG9                       235- 246
 REVCHG11                      247- 258
 REVCHG12                      259- 270
 REVCHG13                      271- 282
 REVCHG14                      283- 294
 REVCHG15                      295- 306
 REVCHG16                      307- 318
 REVCHG17                      319- 330
 REVCHG18                      331- 342
 REVCHG19                      343- 354
 REVCHG20                      355- 366
 REVCHG21                      367- 378
 REVCHG22                      379- 390
 REVCHG23                      391- 402
 REVCHG24                      403- 414
 REVCHG25                      415- 426
 REVCHG26                      427- 438
 REVCHG27                      439- 450
 REVCHG28                      451- 462
 REVCHG29                      463- 474
 REVCHG30                      475- 486
 UNIT1                         487- 494
 UNIT2                         495- 502
 UNIT3                         503- 510
 UNIT4                         511- 518
 UNIT5                         519- 526
 UNIT6                         527- 534
 UNIT7                         535- 542
 UNIT8                         543- 550
 UNIT9                         551- 558
 UNIT10                        559- 566
 UNIT11                        567- 574
 UNIT12                        575- 582
 UNIT13                        583- 590
 UNIT14                        591- 598
 UNIT15                        599- 606
 UNIT16                        607- 614
 UNIT17                        615- 622
 UNIT18                        623- 630
 UNIT19                        631- 638
 UNIT20                        639- 646
 UNIT21                        647- 654
 UNIT22                        655- 662
 UNIT23                        663- 670
 UNIT24                        671- 678
 UNIT25                        679- 686
 UNIT26                        687- 694
 UNIT27                        695- 702
 UNIT28                        703- 710
 UNIT29                        711- 718
 UNIT30                        719- 726.


***  Specify write formats  ***.
FORMATS
 KEY                          (F8.0) /
 NREVCD                       (F3.0) /
 REVCHG1                      (F6.2) /
 REVCHG2                      (F6.2) /
 REVCHG3                      (F6.2) /
 REVCHG4                      (F6.2) /
 REVCHG5                      (F6.2) /
 REVCHG6                      (F6.2) /
 REVCHG7                      (F6.2) /
 REVCHG8                      (F6.2) /
 REVCHG9                      (F6.2) /
 REVCHG11                     (F6.2) /
 REVCHG12                     (F6.2) /
 REVCHG13                     (F6.2) /
 REVCHG14                     (F6.2) /
 REVCHG15                     (F6.2) /
 REVCHG16                     (F6.2) /
 REVCHG17                     (F6.2) /
 REVCHG18                     (F6.2) /
 REVCHG19                     (F6.2) /
 REVCHG20                     (F6.2) /
 REVCHG21                     (F6.2) /
 REVCHG22                     (F6.2) /
 REVCHG23                     (F6.2) /
 REVCHG24                     (F6.2) /
 REVCHG25                     (F6.2) /
 REVCHG26                     (F6.2) /
 REVCHG27                     (F6.2) /
 REVCHG28                     (F6.2) /
 REVCHG29                     (F6.2) /
 REVCHG30                     (F6.2) /
 UNIT1                        (F4.2) /
 UNIT2                        (F4.2) /
 UNIT3                        (F4.2) /
 UNIT4                        (F4.2) /
 UNIT5                        (F4.2) /
 UNIT6                        (F4.2) /
 UNIT7                        (F4.2) /
 UNIT8                        (F4.2) /
 UNIT9                        (F4.2) /
 UNIT10                       (F4.2) /
 UNIT11                       (F4.2) /
 UNIT12                       (F4.2) /
 UNIT13                       (F4.2) /
 UNIT14                       (F4.2) /
 UNIT15                       (F4.2) /
 UNIT16                       (F4.2) /
 UNIT17                       (F4.2) /
 UNIT18                       (F4.2) /
 UNIT19                       (F4.2) /
 UNIT20                       (F4.2) /
 UNIT21                       (F4.2) /
 UNIT22                       (F4.2) /
 UNIT23                       (F4.2) /
 UNIT24                       (F4.2) /
 UNIT25                       (F4.2) /
 UNIT26                       (F4.2) /
 UNIT27                       (F4.2) /
 UNIT28                       (F4.2) /
 UNIT29                       (F4.2) /
 UNIT30                       (F4.2) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY                          "HCUP record identifier"
 NREVCD                       "Number of revenue codes for this discharge"
 REVCD1                       "Revenue code 1 (as received from source)"
 REVCD2                       "Revenue code 2 (as received from source)"
 REVCD3                       "Revenue code 3 (as received from source)"
 REVCD4                       "Revenue code 4 (as received from source)"
 REVCD5                       "Revenue code 5 (as received from source)"
 REVCD6                       "Revenue code 6 (as received from source)"
 REVCD7                       "Revenue code 7 (as received from source)"
 REVCD8                       "Revenue code 8 (as received from source)"
 REVCD9                       "Revenue code 9 (as received from source)"
 REVCD10                      "Revenue code 10 (as received from source)"
 REVCD11                      "Revenue code 11 (as received from source)"
 REVCD12                      "Revenue code 12 (as received from source)"
 REVCD13                      "Revenue code 13 (as received from source)"
 REVCD14                      "Revenue code 14 (as received from source)"
 REVCD15                      "Revenue code 15 (as received from source)"
 REVCD16                      "Revenue code 16 (as received from source)"
 REVCD17                      "Revenue code 17 (as received from source)"
 REVCD18                      "Revenue code 18 (as received from source)"
 REVCD19                      "Revenue code 19 (as received from source)"
 REVCD20                      "Revenue code 20 (as received from source)"
 REVCD21                      "Revenue code 21 (as received from source)"
 REVCD22                      "Revenue code 22 (as received from source)"
 REVCD23                      "Revenue code 23 (as received from source)"
 REVCD24                      "Revenue code 24 (as received from source)"
 REVCD25                      "Revenue code 25 (as received from source)"
 REVCD26                      "Revenue code 26 (as received from source)"
 REVCD27                      "Revenue code 27 (as received from source)"
 REVCD28                      "Revenue code 28 (as received from source)"
 REVCD29                      "Revenue code 29 (as received from source)"
 REVCD30                      "Revenue code 30 (as received from source)"
 REVCHG1                      "Detailed charges for revenue code 1 (as received from source)"
 REVCHG2                      "Detailed charges for revenue code 2 (as received from source)"
 REVCHG3                      "Detailed charges for revenue code 3 (as received from source)"
 REVCHG4                      "Detailed charges for revenue code 4 (as received from source)"
 REVCHG5                      "Detailed charges for revenue code 5 (as received from source)"
 REVCHG6                      "Detailed charges for revenue code 6 (as received from source)"
 REVCHG7                      "Detailed charges for revenue code 7 (as received from source)"
 REVCHG8                      "Detailed charges for revenue code 8 (as received from source)"
 REVCHG9                      "Detailed charges for revenue code 9 (as received from source)"
 REVCHG11                     "Detailed charges for revenue code 11 (as received from source)"
 REVCHG12                     "Detailed charges for revenue code 12 (as received from source)"
 REVCHG13                     "Detailed charges for revenue code 13 (as received from source)"
 REVCHG14                     "Detailed charges for revenue code 14 (as received from source)"
 REVCHG15                     "Detailed charges for revenue code 15 (as received from source)"
 REVCHG16                     "Detailed charges for revenue code 16 (as received from source)"
 REVCHG17                     "Detailed charges for revenue code 17 (as received from source)"
 REVCHG18                     "Detailed charges for revenue code 18 (as received from source)"
 REVCHG19                     "Detailed charges for revenue code 19 (as received from source)"
 REVCHG20                     "Detailed charges for revenue code 20 (as received from source)"
 REVCHG21                     "Detailed charges for revenue code 21 (as received from source)"
 REVCHG22                     "Detailed charges for revenue code 22 (as received from source)"
 REVCHG23                     "Detailed charges for revenue code 23 (as received from source)"
 REVCHG24                     "Detailed charges for revenue code 24 (as received from source)"
 REVCHG25                     "Detailed charges for revenue code 25 (as received from source)"
 REVCHG26                     "Detailed charges for revenue code 26 (as received from source)"
 REVCHG27                     "Detailed charges for revenue code 27 (as received from source)"
 REVCHG28                     "Detailed charges for revenue code 28 (as received from source)"
 REVCHG29                     "Detailed charges for revenue code 29 (as received from source)"
 REVCHG30                     "Detailed charges for revenue code 30 (as received from source)"
 UNIT1                        "Units of service 1 (as received from source)"
 UNIT2                        "Units of service 2 (as received from source)"
 UNIT3                        "Units of service 3 (as received from source)"
 UNIT4                        "Units of service 4 (as received from source)"
 UNIT5                        "Units of service 5 (as received from source)"
 UNIT6                        "Units of service 6 (as received from source)"
 UNIT7                        "Units of service 7 (as received from source)"
 UNIT8                        "Units of service 8 (as received from source)"
 UNIT9                        "Units of service 9 (as received from source)"
 UNIT10                       "Units of service 10 (as received from source)"
 UNIT11                       "Units of service 11 (as received from source)"
 UNIT12                       "Units of service 12 (as received from source)"
 UNIT13                       "Units of service 13 (as received from source)"
 UNIT14                       "Units of service 14 (as received from source)"
 UNIT15                       "Units of service 15 (as received from source)"
 UNIT16                       "Units of service 16 (as received from source)"
 UNIT17                       "Units of service 17 (as received from source)"
 UNIT18                       "Units of service 18 (as received from source)"
 UNIT19                       "Units of service 19 (as received from source)"
 UNIT20                       "Units of service 20 (as received from source)"
 UNIT21                       "Units of service 21 (as received from source)"
 UNIT22                       "Units of service 22 (as received from source)"
 UNIT23                       "Units of service 23 (as received from source)"
 UNIT24                       "Units of service 24 (as received from source)"
 UNIT25                       "Units of service 25 (as received from source)"
 UNIT26                       "Units of service 26 (as received from source)"
 UNIT27                       "Units of service 27 (as received from source)"
 UNIT28                       "Units of service 28 (as received from source)"
 UNIT29                       "Units of service 29 (as received from source)"
 UNIT30                       "Units of service 30 (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE NREVCD
 (-99,-88,-66,-55=SYSMIS).
RECODE REVCHG1
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG2
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG3
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG4
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG5
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG6
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG7
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG8
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG9
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG11
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG12
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG13
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG14
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG15
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG16
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG17
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG18
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG19
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG20
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG21
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG22
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG23
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG24
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG25
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG26
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG27
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG28
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG29
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG30
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE UNIT1
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT2
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT3
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT4
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT5
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT6
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT7
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT8
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT9
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT10
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT11
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT12
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT13
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT14
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT15
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT16
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT17
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT18
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT19
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT20
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT21
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT22
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT23
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT24
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT25
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT26
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT27
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT28
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT29
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE UNIT30
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).



SAVE OUTFILE = 'NV_SASD_2020_CHGS.SAV' /COMPRESSED.
